## scratchbox2 2.0

=== Makefile ===
# Copyright (C) 2007 Lauri Leukkunen <lle@rahina.org>
# Licensed under LGPL 2.1

TOPDIR = $(CURDIR)
OBJDIR = $(TOPDIR)
SRCDIR = $(TOPDIR)
VPATH = $(SRCDIR)

MACH := $(shell uname -m)
OS := $(shell uname -s)

ifeq ($(OS),Linux)
LIBSB2_LDFLAGS = -Wl,-soname=$(LIBSB2_SONAME) \
		-Wl,--retain-symbols-file=preload/ldexportlist

SHLIBEXT = so
else
SHLIBEXT = dylib
endif

# pick main build bitness
ifeq ($(MACH),x86_64)
PRI_OBJDIR = obj-64
else
PRI_OBJDIR = obj-32
endif

CC = gcc
CXX = g++
LD = ld
PACKAGE_VERSION = 2.0

ifeq ($(shell if [ -d $(SRCDIR)/.git ]; then echo y; fi),y)
GIT_PV_COMMIT := $(shell git --git-dir=$(SRCDIR)/.git log -1 --pretty="format:%h" $(PACKAGE_VERSION) -- 2>/dev/null)
GIT_CUR_COMMIT := $(shell git --git-dir=$(SRCDIR)/.git log -1 --pretty="format:%h" HEAD -- 2>/dev/null)
GIT_MODIFIED := $(shell cd $(SRCDIR); git ls-files -m)
GIT_TAG_EXISTS := $(strip $(shell git --git-dir=$(SRCDIR)/.git tag -l $(PACKAGE_VERSION) 2>/dev/null))
ifeq ("$(GIT_TAG_EXISTS)","")
# Add -rc to version to signal that the PACKAGE_VERSION release has NOT
# been yet tagged
PACKAGE_VERSION := $(PACKAGE_VERSION)-rc
endif
ifneq ($(GIT_PV_COMMIT),$(GIT_CUR_COMMIT))
PACKAGE_VERSION := $(PACKAGE_VERSION)-$(GIT_CUR_COMMIT)
endif
ifneq ($(strip "$(GIT_MODIFIED)"),"")
PACKAGE_VERSION := $(PACKAGE_VERSION)-dirty
endif
endif
PACKAGE = "SB2"
LIBSB2_SONAME = "libsb2.so.1"
LLBUILD ?= $(SRCDIR)/llbuild
PROTOTYPEWARNINGS=-Wmissing-prototypes -Wstrict-prototypes


# targets variable will be filled by llbuild
targets = 
subdirs = luaif preload utils

-include config.mak

CFLAGS += -O2 -g -Wall -W
CFLAGS += -I$(OBJDIR)/include -I$(SRCDIR)/include
CFLAGS += -I$(SRCDIR)/luaif/lua-5.1.4/src
CFLAGS += -D_GNU_SOURCE=1 -D_LARGEFILE_SOURCE=1 -D_LARGEFILE64_SOURCE=1
CFLAGS += -DSCRATCHBOX_ROOT="$(prefix)"
CFLAGS += $(MACH_CFLAG)
LDFLAGS += $(MACH_CFLAG)
CXXFLAGS = 

include $(LLBUILD)/Makefile.include

ifdef prefix
CONFIGURE_ARGS = --prefix=$(prefix)
else
CONFIGURE_ARGS = 
endif

ifeq ($(MACH),x86_64)
all: multilib
else
all: regular
endif

do-all: $(targets)

.configure:
	$(SRCDIR)/configure $(CONFIGURE_ARGS)
	@touch .configure

.PHONY: .version
.version:
	@(set -e; \
	if [ -f .version ]; then \
		version=$$(cat .version); \
		if [ "$(PACKAGE_VERSION)" != "$$version" ]; then \
			echo $(PACKAGE_VERSION) > .version; \
		fi \
	else \
		echo $(PACKAGE_VERSION) > .version; \
	fi)

regular: .configure .version
	@$(MAKE) -f $(SRCDIR)/Makefile --include-dir=$(SRCDIR) SRCDIR=$(SRCDIR) do-all

multilib:
	@mkdir -p obj-32
	@mkdir -p obj-64
	@$(MAKE) MACH_CFLAG=-m32 -C obj-32 --include-dir=.. -f ../Makefile SRCDIR=.. regular
	@$(MAKE) MACH_CFLAG=-m64 -C obj-64 --include-dir=.. -f ../Makefile SRCDIR=.. regular


gcc_bins = addr2line ar as cc c++ c++filt cpp g++ gcc gcov gdb gdbtui gprof ld nm objcopy objdump ranlib rdi-stub readelf run size strings strip
host_prefixed_gcc_bins = $(foreach v,$(gcc_bins),host-$(v))


tarball:
	@git archive --format=tar --prefix=sbox2-$(PACKAGE_VERSION)/ $(PACKAGE_VERSION) | bzip2 >sbox2-$(PACKAGE_VERSION).tar.bz2


install-noarch: regular
	$(P)INSTALL
	@if [ -d $(prefix)/bin ] ; \
	then echo "$(prefix)/bin present" ; \
	else install -d -m 755 $(prefix)/bin ; \
	fi
	$(Q)install -d -m 755 $(prefix)/share/scratchbox2/lua_scripts
	$(Q)install -d -m 755 $(prefix)/share/scratchbox2/lua_scripts/pathmaps
	$(Q)install -d -m 755 $(prefix)/share/scratchbox2/lua_scripts/pathmaps/emulate
	$(Q)install -d -m 755 $(prefix)/share/scratchbox2/lua_scripts/pathmaps/tools
	$(Q)install -d -m 755 $(prefix)/share/scratchbox2/lua_scripts/pathmaps/simple
	$(Q)install -d -m 755 $(prefix)/share/scratchbox2/lua_scripts/pathmaps/devel
	$(Q)install -d -m 755 $(prefix)/share/scratchbox2/lua_scripts/pathmaps/nomap
	$(Q)install -d -m 755 $(prefix)/share/scratchbox2/lua_scripts/pathmaps/install

	# "scripts" and "wrappers" are visible to the user in some 
	# mapping modes, "lib" is for sb2's internal use
	$(Q)install -d -m 755 $(prefix)/share/scratchbox2/lib
	$(Q)install -d -m 755 $(prefix)/share/scratchbox2/scripts
	$(Q)install -d -m 755 $(prefix)/share/scratchbox2/wrappers
	$(Q)install -d -m 755 $(prefix)/share/scratchbox2/tests
	$(Q)install -d -m 755 $(prefix)/share/scratchbox2/modeconf
	@if [ -d $(prefix)/share/man/man1 ] ; \
	then echo "$(prefix)/share/man/man1 present" ; \
	else install -d -m 755 $(prefix)/share/man/man1 ; \
	fi
	$(Q)echo "$(PACKAGE_VERSION)" > $(prefix)/share/scratchbox2/version
	$(Q)install -c -m 755 $(SRCDIR)/utils/sb2 $(prefix)/bin/sb2
	$(Q)install -c -m 755 $(SRCDIR)/utils/sb2-init $(prefix)/bin/sb2-init
	$(Q)install -c -m 755 $(SRCDIR)/utils/sb2-config $(prefix)/bin/sb2-config
	$(Q)install -c -m 755 $(SRCDIR)/utils/sb2-build-libtool $(prefix)/bin/sb2-build-libtool
	$(Q)install -c -m 755 $(SRCDIR)/utils/sb2-build-qemuserver $(prefix)/bin/sb2-build-qemuserver
	$(Q)install -c -m 755 $(SRCDIR)/utils/sb2-mkinitramfs $(prefix)/bin/sb2-mkinitramfs
	$(Q)install -c -m 755 $(SRCDIR)/utils/sb2-start-qemuserver $(prefix)/bin/sb2-start-qemuserver
	$(Q)install -c -m 755 $(SRCDIR)/utils/sb2-qemu-gdbserver-prepare $(prefix)/bin/sb2-qemu-gdbserver-prepare

	$(Q)install -c -m 755 $(SRCDIR)/utils/sb2-cmp-checkbuilddeps-output.pl $(prefix)/share/scratchbox2/lib/sb2-cmp-checkbuilddeps-output.pl

	$(Q)install -c -m 755 $(SRCDIR)/utils/sb2-upgrade-config $(prefix)/share/scratchbox2/scripts/sb2-upgrade-config
	$(Q)install -c -m 755 $(SRCDIR)/utils/sb2-parse-sb2-init-args $(prefix)/share/scratchbox2/scripts/sb2-parse-sb2-init-args
	$(Q)install -c -m 755 $(SRCDIR)/utils/sb2-config-gcc-toolchain $(prefix)/share/scratchbox2/scripts/sb2-config-gcc-toolchain
	$(Q)install -c -m 755 $(SRCDIR)/utils/sb2-check-pkg-mappings $(prefix)/share/scratchbox2/scripts/sb2-check-pkg-mappings
	$(Q)install -c -m 755 $(SRCDIR)/utils/sb2-exitreport $(prefix)/share/scratchbox2/scripts/sb2-exitreport
	$(Q)install -c -m 755 $(SRCDIR)/utils/sb2-generate-locales $(prefix)/share/scratchbox2/scripts/sb2-generate-locales
	$(Q)install -c -m 755 $(SRCDIR)/utils/sb2-logz $(prefix)/bin/sb2-logz
	$(Q)install -c -m 644 $(SRCDIR)/lua_scripts/main.lua $(prefix)/share/scratchbox2/lua_scripts/main.lua
	$(Q)install -c -m 644 $(SRCDIR)/lua_scripts/mapping.lua $(prefix)/share/scratchbox2/lua_scripts/mapping.lua
	$(Q)install -c -m 644 $(SRCDIR)/lua_scripts/argvenvp.lua $(prefix)/share/scratchbox2/lua_scripts/argvenvp.lua
	$(Q)install -c -m 644 $(SRCDIR)/lua_scripts/argvenvp_gcc.lua $(prefix)/share/scratchbox2/lua_scripts/argvenvp_gcc.lua
	$(Q)install -c -m 644 $(SRCDIR)/lua_scripts/argvenvp_misc.lua $(prefix)/share/scratchbox2/lua_scripts/argvenvp_misc.lua
	$(Q)install -c -m 644 $(SRCDIR)/lua_scripts/create_reverse_rules.lua $(prefix)/share/scratchbox2/lua_scripts/create_reverse_rules.lua
	$(Q)install -c -m 644 $(SRCDIR)/lua_scripts/create_argvmods_rules.lua $(prefix)/share/scratchbox2/lua_scripts/create_argvmods_rules.lua
	$(Q)install -c -m 644 $(SRCDIR)/lua_scripts/create_argvmods_usr_bin_rules.lua $(prefix)/share/scratchbox2/lua_scripts/create_argvmods_usr_bin_rules.lua

	$(Q)install -c -m 644 $(SRCDIR)/lua_scripts/pathmaps/emulate/*.lua $(prefix)/share/scratchbox2/lua_scripts/pathmaps/emulate/
	$(Q)install -c -m 644 $(SRCDIR)/lua_scripts/pathmaps/tools/*.lua $(prefix)/share/scratchbox2/lua_scripts/pathmaps/tools/
	$(Q)install -c -m 644 $(SRCDIR)/lua_scripts/pathmaps/simple/*.lua $(prefix)/share/scratchbox2/lua_scripts/pathmaps/simple/
	$(Q)install -c -m 644 $(SRCDIR)/lua_scripts/pathmaps/devel/*.lua $(prefix)/share/scratchbox2/lua_scripts/pathmaps/devel/
	$(Q)install -c -m 644 $(SRCDIR)/lua_scripts/pathmaps/nomap/*.lua $(prefix)/share/scratchbox2/lua_scripts/pathmaps/nomap/
	$(Q)install -c -m 644 $(SRCDIR)/lua_scripts/pathmaps/install/*.lua $(prefix)/share/scratchbox2/lua_scripts/pathmaps/install/
	$(Q)(set -e; cd $(prefix)/share/scratchbox2/lua_scripts/pathmaps; ln -sf devel maemo)

	$(Q)install -c -m 644 $(SRCDIR)/modeconf/* $(prefix)/share/scratchbox2/modeconf/
	$(Q)(set -e; cd $(prefix)/share/scratchbox2/modeconf; for f in *.devel; do \
		b=$(basename $$f .devel); ln -sf $$f $$b.maemo; \
	done)
	$(Q)install -c -m 644 $(SRCDIR)/tests/* $(prefix)/share/scratchbox2/tests
	$(Q)chmod a+x $(prefix)/share/scratchbox2/tests/run.sh

	$(Q)install -c -m 644 $(SRCDIR)/docs/sb2.1 $(prefix)/share/man/man1/sb2.1
	$(Q)install -c -m 644 $(SRCDIR)/docs/sb2-show.1 $(prefix)/share/man/man1/sb2-show.1
	$(Q)install -c -m 644 $(SRCDIR)/docs/sb2-config.1 $(prefix)/share/man/man1/sb2-config.1
	$(Q)rm -f $(prefix)/share/scratchbox2/host_usr
	$(Q)ln -sf /usr $(prefix)/share/scratchbox2/host_usr
	@# Wrappers:
	$(Q)install -c -m 755 $(SRCDIR)/wrappers/deb-pkg-tools-wrapper $(prefix)/share/scratchbox2/wrappers/dpkg
	$(Q)install -c -m 755 $(SRCDIR)/wrappers/deb-pkg-tools-wrapper $(prefix)/share/scratchbox2/wrappers/apt-get
	$(Q)install -c -m 755 $(SRCDIR)/wrappers/ldconfig $(prefix)/share/scratchbox2/wrappers/ldconfig
	$(Q)install -c -m 755 $(SRCDIR)/wrappers/texi2html $(prefix)/share/scratchbox2/wrappers/texi2html
	$(Q)install -c -m 755 $(SRCDIR)/wrappers/dpkg-checkbuilddeps $(prefix)/share/scratchbox2/wrappers/dpkg-checkbuilddeps
	$(Q)install -c -m 755 $(SRCDIR)/wrappers/debconf2po-update $(prefix)/share/scratchbox2/wrappers/debconf2po-update
	$(Q)install -c -m 755 $(SRCDIR)/wrappers/host-gcc-tools-wrapper $(prefix)/share/scratchbox2/wrappers/host-gcc-tools-wrapper
	$(Q)install -c -m 755 $(SRCDIR)/wrappers/gdb $(prefix)/share/scratchbox2/wrappers/gdb
	$(Q)install -c -m 755 $(SRCDIR)/wrappers/ldd $(prefix)/share/scratchbox2/wrappers/ldd
	$(Q)(set -e; cd $(prefix)/share/scratchbox2/wrappers; \
	for f in $(host_prefixed_gcc_bins); do \
		ln -sf host-gcc-tools-wrapper $$f; \
	done)

ifeq ($(MACH),x86_64)
install: install-multilib
else
install: do-install
endif

do-install: install-noarch
	$(P)INSTALL
	@if [ -d $(prefix)/lib ] ; \
	then echo "$(prefix)/lib present" ; \
	else install -d -m 755 $(prefix)/lib ; \
	fi
	$(Q)install -d -m 755 $(prefix)/lib/libsb2
	$(Q)install -c -m 755 $(OBJDIR)/preload/libsb2.$(SHLIBEXT) $(prefix)/lib/libsb2/libsb2.so.$(PACKAGE_VERSION)
	$(Q)install -c -m 755 $(OBJDIR)/utils/sb2-show $(prefix)/bin/sb2-show
	$(Q)install -c -m 755 $(OBJDIR)/utils/sb2-monitor $(prefix)/bin/sb2-monitor
	$(Q)install -c -m 755 $(OBJDIR)/utils/sb2-interp-wrapper $(prefix)/bin/sb2-interp-wrapper
ifeq ($(OS),Linux)
	$(Q)/sbin/ldconfig -n $(prefix)/lib/libsb2
endif

multilib_prefix=$(prefix)

install-multilib: multilib
	@$(MAKE) -C obj-32 --include-dir=.. -f ../Makefile SRCDIR=.. do-install-multilib bitness=32
	@$(MAKE) -C obj-64 --include-dir=.. -f ../Makefile SRCDIR=.. do-install

do-install-multilib:
	$(P)INSTALL
	@if [ -d $(multilib_prefix)/lib$(bitness) ] ; \
	then echo "$(prefix)/lib$(bitness) present" ; \
	else install -d -m 755 $(prefix)/lib$(bitness) ; \
	fi
	$(Q)install -d -m 755 $(multilib_prefix)/lib$(bitness)/libsb2
	$(Q)install -c -m 755 preload/libsb2.$(SHLIBEXT) $(multilib_prefix)/lib$(bitness)/libsb2/libsb2.so.$(PACKAGE_VERSION)
ifeq ($(OS),Linux)
	$(Q)/sbin/ldconfig -n $(multilib_prefix)/lib$(bitness)/libsb2
endif

CLEAN_FILES += $(targets) config.status config.log

superclean: clean
	$(P)CLEAN
	$(Q)rm -rf obj-32 obj-64 .configure-multilib .configure
	$(Q)rm -rf include/config.h config.mak

clean-multilib:
	$(P)CLEAN
	-$(Q)$(MAKE) -C obj-32 --include-dir=.. -f ../Makefile SRCDIR=.. do-clean
	-$(Q)$(MAKE) -C obj-64 --include-dir .. -f ../Makefile SRCDIR=.. do-clean

ifeq ($(MACH),x86_64)
clean: clean-multilib do-clean
else
clean: do-clean
endif

do-clean:
	$(P)CLEAN
	$(Q)$(ll_clean)

=== luaif/Makefile ===
LUASRC = luaif/lua-5.1.4/src

objs := $(D)/luaif.o $(D)/sb_log.o $(D)/paths.o $(D)/argvenvp.o

$(D)/sb_log.o: preload/exported.h

luaif/libluaif.a: $(objs)
luaif/libluaif.a: override CFLAGS := $(CFLAGS) -O2 -g -fPIC -Wall -W -I$(SRCDIR)/$(LUASRC) -I$(OBJDIR)/preload -I$(SRCDIR)/preload
luaif/libluaif.a: override LDFLAGS := $(LDFLAGS)
luaif/libluaif.a: override LIBS := 


lua_sources := loadlib.c lstate.c ldebug.c liolib.c llex.c lauxlib.c ldump.c \
	ltablib.c lstrlib.c ldo.c lmathlib.c lapi.c lvm.c ltable.c lgc.c \
	lbaselib.c lopcodes.c linit.c lfunc.c lparser.c lstring.c ldblib.c \
	lzio.c loslib.c ltm.c lundump.c lobject.c lmem.c lcode.c

lua_sources_expanded = $(foreach v,$(lua_sources),$(LUASRC)/$(v))

lua_objs := $(lua_sources_expanded:.c=.o)

luaif/liblua.a: $(lua_objs)
luaif/liblua.a: override CFLAGS := -O2 -g -fPIC -Wall -W $(CFLAGS)
luaif/liblua.a: override LDFLAGS := $(LDFLAGS)
luaif/liblua.a: override LIBS :=

targets := $(targets) $(D)/libluaif.a $(D)/liblua.a

=== preload/Makefile ===
objs := wrappers.o libsb2.o sb_exec.o sb_l10n.o glob.o glob64.o \
	fdpathdb.o procfs.o mempcpy.o

ifeq ($(shell uname -s),Linux)
LIBSB2_LDFLAGS = -Wl,-soname=$(LIBSB2_SONAME) \
		-Wl,--retain-symbols-file=preload/ldexportlist

# DO NOT add any libraries that depend on libpthread to
# LIBSB2_LIBS or LIBS!! see the comments in luaif.c.

LIBSB2_LIBS =
SHLIBEXT = so
else
LIBSB2_LIBS =
SHLIBEXT = dylib
endif


$(D)/libsb2.$(SHLIBEXT): $(call O,$(objs))
$(D)/libsb2.$(SHLIBEXT): luaif/libluaif.a luaif/liblua.a
$(D)/libsb2.$(SHLIBEXT): CFLAGS := $(CFLAGS) -fPIC -Wall -W \
		-I$(SRCDIR)/preload -Ipreload/ $(PROTOTYPEWARNINGS)
$(D)/libsb2.$(SHLIBEXT): LDFLAGS := $(LDFLAGS) $(LIBSB2_LDFLAGS)
$(D)/libsb2.$(SHLIBEXT): LIBS := -ldl -lm $(LIBSB2_LIBS)

targets := $(targets) $(D)/libsb2.$(SHLIBEXT)

$(D)/libsb2.o $(D)/sb_l10n.o $(D)/sb_exec.o: preload/exported.h
$(D)/exported.h $(D)/ldexportlist: preload/wrappers.c
$(D)/wrappers.c: preload/interface.master preload/gen-interface.pl
	$(MKOUTPUTDIR)
	$(P)PERL
	$(Q)$(SRCDIR)/preload/gen-interface.pl \
		-W preload/wrappers.c \
		-E preload/exported.h \
		-L preload/ldexportlist \
		<$(SRCDIR)/preload/interface.master

generated := preload/wrappers.c preload/exported.h preload/ldexportlist
.PRECIOUS: $(generated)

CLEAN_FILES += $(generated)

=== utils/Makefile ===
# beware of namespace collisions, all subdir makefiles are included
# into the top-level Makefile

$(D)/sb2-show: CFLAGS := $(CFLAGS) -Wall -W -Werror \
		-I$(SRCDIR)/preload -Ipreload/ $(PROTOTYPEWARNINGS) \
		-I$(SRCDIR)/include

$(D)/sb2-show.o: preload/exported.h
$(D)/sb2-show: preload/libsb2.$(SHLIBEXT) $(D)/sb2-show.o
	$(MKOUTPUTDIR)
	$(P)LD
	$(Q)$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^


$(D)/sb2-monitor: CFLAGS := $(CFLAGS) -Wall -W -Werror \
		-I$(SRCDIR)/preload -Ipreload/ $(PROTOTYPEWARNINGS) \
		-I$(SRCDIR)/include

$(D)/sb2-monitor: $(D)/sb2-monitor.o 
	$(MKOUTPUTDIR)
	$(P)LD
	$(Q)$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^

$(D)/sb2-interp-wrapper: CFLAGS := $(CFLAGS) -Wall -W -Werror \
		-I$(SRCDIR)/preload -Ipreload/ $(PROTOTYPEWARNINGS) \
		-I$(SRCDIR)/include

$(D)/sb2-interp-wrapper: preload/libsb2.$(SHLIBEXT) $(D)/sb2-interp-wrapper.o
	$(MKOUTPUTDIR)
	$(P)LD
	$(Q)$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ -ldl


targets := $(targets) $(D)/sb2-show $(D)/sb2-monitor $(D)/sb2-interp-wrapper

=== debian/changelog ===
scratchbox2 (2.0-3.1) unstable; urgency=low

  [Jari Aalto]
  * Non-maintainer upload.
    - Move to packaging format "3.0 (quilt)" due to patch.
  * debian/control
    - (Vcs-*): Remove obsolete XS-* prefix.
    - (Build-Depends): Add hardening-wrapper because the option syntax of
      /usr/bin/ld.gold.real and GNU ld(1) differ in option --retain-symbols-file
  * debian/patches
    - (Number 10): Add patch to fix Gcc 4.4 error: conflicting type
      for scandir. Patch thanks to Lucas Nussbaum <lucas@lucas-nussbaum.net>.
      (RC bug FTBFS serious; Closes: #552893).
    - (Number 20): Fix binutils gold ld(1) calls.
    - (Number 30): Fix errors: implicit declaration of functions.
  * debian/source/format
    - New file.

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 13 Apr 2010 15:10:17 +0300

scratchbox2 (2.0-3) unstable; urgency=low

  * fix simple mode with emdebian crosscompilers
  * Add replaces to libsb2 -> sb2, closes: #526060
  * make sh script bash script, closes: #530185

 -- Riku Voipio <riku.voipio@iki.fi>  Wed, 22 Jul 2009 23:32:43 +0300

scratchbox2 (2.0-2) unstable; urgency=low

  * Sync with maemo-sdk+ release
  * Add "accel" mode
  * fix realpath

 -- Riku Voipio <riku.voipio@iki.fi>  Sun, 19 Jul 2009 14:36:57 +0300

scratchbox2 (2.0-1) unstable; urgency=low

  * scratchbox 2.0 release!

 -- Riku Voipio <riku.voipio@iki.fi>  Wed, 01 Apr 2009 00:17:49 +0300

scratchbox2 (1.99.0.31-2) unstable; urgency=low

  * split libsb2 to a separate package

 -- Riku Voipio <riku.voipio@iki.fi>  Mon, 23 Feb 2009 15:22:26 +0200

scratchbox2 (1.99.0.31-1) unstable; urgency=low

  * New upstream version

 -- Riku Voipio <riku.voipio@iki.fi>  Mon, 23 Feb 2009 14:39:35 +0200

scratchbox2 (1.99.0.27-1) unstable; urgency=low

  * New upstream version
  * Simplify build rules

 -- Riku Voipio <riku.voipio@iki.fi>  Mon, 20 Oct 2008 20:23:05 +0300

scratchbox2 (1.99.0.24-2) unstable; urgency=low

  * Save the world from masturbating monkeys (closes: #496409)

 -- Riku Voipio <riku.voipio@iki.fi>  Mon, 25 Aug 2008 23:04:49 +0300

scratchbox2 (1.99.0.24-1) unstable; urgency=low

  [ Lauri Aarnio ]
  * Bugfix: LD_PRELOAD in now set by sb2-monitor, not by the "sb2"
    script
  * Updated to use newer libtool version (1.5.26)
  * Important bugfix to libpthread interface
  * Fix to fts_open()
  * Important bugfix: Renaming of symlinks
  * Refactored sb2's dpkg-checkbuilddeps wrapper.
  * sb2-monitor now appends libsb2 to an existing LD_PRELOAD variable
  * sb_decolonize_path() bugfix: slashdot makes sense now
  * Updates to path mapping code and mapping modes
  * oops; fixed typos in mapping rules.

  [ Lauri Leukkunen ]
  * increase version numbers to .24
  * debian packaging is tedious

  [ Riku Voipio ]
  * Make multilib target use install target
  * sb2-show needs libsb2
  * Update to latest policy (use Homepage: tag)
  * Depend on "make clean" for cleanup
  * upload to debian

 -- Riku Voipio <riku.voipio@iki.fi>  Tue, 18 Mar 2008 01:00:34 +0200

scratchbox2 (1.99.0.24) unstable; urgency=low
  * fill me up
 -- Lauri Leukkunen <lle@rahina.org>  Fri, 14 Mar 2008 07:48:35 +0200

scratchbox2 (1.99.0.23-1) unstable; urgency=low

  [ Janne J Kataja ]
  * Bashism detected! Changed shell in utils/dpkg-checkbuilddeps

  [ Lauri Aarnio ]
  * bugfix: fixed typos in macro names
  * Added log post-processing tool and improved logging messages.
  * Introduce SB1 bug emulation mode
  * Modified interface generator to create SB_LOG calls at returns.
  * A fix for host-gcc parameter generation
  * Bugfix: added wrapper for eaccess()
  * Introduced R/O mapping mode.
  * Logging enhancements: show changes made to argv+envp
  * sb2-init improvements
  * Added "replace_by" action to path mapping engine
  * Fixed a critical path mapping bug
  * Minor bugfix (sb2-build-libtool)
  * Added a SB1 compatibility mapping rule to maemo mode
  * Print statistics after sb2 finishes (and/or error+warning messages)

  [ Lauri Leukkunen ]
  * Split configure step from building for multilib
  * Fix tool distro support
  * Introduce sb2-show, cleanup some warnings
  * Make exported.h generated by gen-interface.pl to be a proper header
    file
  * Fix -Wno-poison-system-directories check
  * Implement arguments for CPUTRANSPARENCY_METHOD
  * replace iswhitespace() with standard isspace()
  * Optimize mappings by adding simple prefix check
  * Make rest of the mapping modes work with mapping.lua changes
  * Separate gcc argv mangling rule generation to argvenvp_gcc.lua
  * gitignore utils/sb2-show
  * Simplify path mapping code
  * sb2-init allows specifying entire cputransparency command
  * Map /usr/X11R6/lib in maemo mode
  * Fix multilib compilation
  * map /usr/X11R6/include to target root in maemo mode

  [ Riku Voipio ]
  * Add IA64 and powerpc host support
  * changelog update
  * Clean up sb2 script and speed up running sb2 script
  * Add scripts to use the qemu-sbrsh bridge
  * New upstream version, closes: 468156

 -- Riku Voipio <riku.voipio@iki.fi>  Mon, 03 Mar 2008 11:44:50 +0200

scratchbox2 (1.99.0.22) unstable; urgency=low

  * New upstream version
  * Fix building on 386, closes: #456352
  * Fix amd64 multilib install location, closes: #456528

 -- Riku Voipio <riku.voipio@iki.fi>  Tue, 18 Dec 2007 23:27:48 +0200

scratchbox2 (1.99.0.20) unstable; urgency=low

  * New upstream version
  * Replaced hardcoded gcc/ld wrapper with generic lua-based
    argument remapper. Tthus stopped using c++, closes: #455127
  * Tool distro support
  * sbrsh support
  * various fixes and cleanups

 -- Riku Voipio <riku.voipio@iki.fi>  Fri, 14 Dec 2007 10:36:33 +0200

=== debian/control ===
Source: scratchbox2
Maintainer: Riku Voipio <riku.voipio@iki.fi>
Section: utils
Priority: extra
Standards-Version: 3.8.0
Build-Depends: debhelper (>=5), automake1.10, autoconf, gcc-multilib [amd64], libc6-dev-i386 [amd64], g++-multilib [amd64]
Vcs-Git: git://anongit.freedesktop.org/git/sbox2
Vcs-Browser: http://gitweb.freedesktop.org/?p=sbox2.git
Homepage: http://www.freedesktop.org/wiki/Software/sbox2

Package: scratchbox2
Architecture: i386 amd64 powerpc ia64
Depends: ${shlibs:Depends}, libsb2 (= ${binary:Version})
Recommends: qemu, fakeroot
Suggests: sbrsh
Description: Transparent cross compiling environment
 Scratchbox2 uses a LD_PRELOAD library to create a transparent cross compiling
 environment. Scratchbox2 automatically maps file system accesses to
 crosscompiler, target libraries and headers using a flexible lua path mapping
 engine. Together with CPU transparency, provided by qemu or sbrsh, scratchbox2
 enables fast crosscompiling without modifying build scripts.
 .

Package: libsb2
Architecture: i386 amd64 powerpc ia64
Replaces: scratchbox2 (<< 2.0)
Depends: ${shlibs:Depends}
Description: Scratchbox2 libraries
 This package contains sole Scratchbox2 libraries that can be
 used from inside target filesystem.

=== debian/rules ===
#!/usr/bin/make -f


ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
else
CFLAGS += -O2
endif

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
INSTALL_PROGRAM += -s
endif

build: build-stamp
build-stamp:
	dh_testdir
	./autogen.sh
	$(MAKE) prefix=/usr
	touch build-stamp

# this is really not part of debian package build, but just for convinience

clean: checkroot
	$(checkdir)
	make superclean
	rm -f build-stamp
	dh_clean

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
install: build
	dh_testdir
	dh_testroot
	dh_installdirs
	$(MAKE) prefix="$(CURDIR)/debian/scratchbox2/usr" install
	# make lintian happy
	rm -f debian/scratchbox2/usr/share/scratchbox2/host_usr
	ln -sf ../.. debian/scratchbox2/usr/share/scratchbox2/host_usr
	mv debian/scratchbox2/usr/lib/libsb2/* debian/libsb2/usr/lib/libsb2
	rm -rf debian/scratchbox2/usr/lib/

binary-arch: install
	dh_testdir -a
	dh_testroot -a
	dh_installdocs -a README
	dh_installchangelogs -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	# FIXME, do in postinst
	dh_installdeb -a
	dh_shlibdeps -Llibsb2 -l/usr/lib/libsb2 -- --ignore-missing-info
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-arch

.PHONY: build clean binary-indep binary-arch binary checkroot prebuild

define checkdir
	dh_testdir
endef

checkroot:
	$(checkdir)
	dh_testroot

## scratchbox2 2.2.2-2ubuntu1

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 ifeq ($(OS),Linux)
 LIBSB2_LDFLAGS = -Wl,-soname=$(LIBSB2_SONAME) \
-		-Wl,--retain-symbols-file=preload/ldexportlist
+		-Wl,--version-script=preload/export.map
 
 SHLIBEXT = so
 else
@@ -28,7 +28,7 @@
 CC = gcc
 CXX = g++
 LD = ld
-PACKAGE_VERSION = 2.0
+PACKAGE_VERSION = 2.2.2
 
 ifeq ($(shell if [ -d $(SRCDIR)/.git ]; then echo y; fi),y)
 GIT_PV_COMMIT := $(shell git --git-dir=$(SRCDIR)/.git log -1 --pretty="format:%h" $(PACKAGE_VERSION) -- 2>/dev/null)
@@ -100,6 +100,11 @@
 		echo $(PACKAGE_VERSION) > .version; \
 	fi)
 
+include/scratchbox2_version.h: .version Makefile
+	echo "/* Automatically generated file. Do not edit. */" >include/scratchbox2_version.h
+	echo '#define SCRATCHBOX2_VERSION "'`cat .version`'"' >>include/scratchbox2_version.h
+	echo '#define LIBSB2_SONAME "'$(LIBSB2_SONAME)'"' >>include/scratchbox2_version.h
+
 regular: .configure .version
 	@$(MAKE) -f $(SRCDIR)/Makefile --include-dir=$(SRCDIR) SRCDIR=$(SRCDIR) do-all
 
@@ -130,6 +135,7 @@
 	$(Q)install -d -m 755 $(prefix)/share/scratchbox2/lua_scripts/pathmaps/tools
 	$(Q)install -d -m 755 $(prefix)/share/scratchbox2/lua_scripts/pathmaps/simple
 	$(Q)install -d -m 755 $(prefix)/share/scratchbox2/lua_scripts/pathmaps/devel
+	$(Q)install -d -m 755 $(prefix)/share/scratchbox2/lua_scripts/pathmaps/accel
 	$(Q)install -d -m 755 $(prefix)/share/scratchbox2/lua_scripts/pathmaps/nomap
 	$(Q)install -d -m 755 $(prefix)/share/scratchbox2/lua_scripts/pathmaps/install
 
@@ -148,6 +154,7 @@
 	$(Q)install -c -m 755 $(SRCDIR)/utils/sb2 $(prefix)/bin/sb2
 	$(Q)install -c -m 755 $(SRCDIR)/utils/sb2-init $(prefix)/bin/sb2-init
 	$(Q)install -c -m 755 $(SRCDIR)/utils/sb2-config $(prefix)/bin/sb2-config
+	$(Q)install -c -m 755 $(SRCDIR)/utils/sb2-session $(prefix)/bin/sb2-session
 	$(Q)install -c -m 755 $(SRCDIR)/utils/sb2-build-libtool $(prefix)/bin/sb2-build-libtool
 	$(Q)install -c -m 755 $(SRCDIR)/utils/sb2-build-qemuserver $(prefix)/bin/sb2-build-qemuserver
 	$(Q)install -c -m 755 $(SRCDIR)/utils/sb2-mkinitramfs $(prefix)/bin/sb2-mkinitramfs
@@ -159,6 +166,7 @@
 	$(Q)install -c -m 755 $(SRCDIR)/utils/sb2-upgrade-config $(prefix)/share/scratchbox2/scripts/sb2-upgrade-config
 	$(Q)install -c -m 755 $(SRCDIR)/utils/sb2-parse-sb2-init-args $(prefix)/share/scratchbox2/scripts/sb2-parse-sb2-init-args
 	$(Q)install -c -m 755 $(SRCDIR)/utils/sb2-config-gcc-toolchain $(prefix)/share/scratchbox2/scripts/sb2-config-gcc-toolchain
+	$(Q)install -c -m 755 $(SRCDIR)/utils/sb2-config-debian $(prefix)/share/scratchbox2/scripts/sb2-config-debian
 	$(Q)install -c -m 755 $(SRCDIR)/utils/sb2-check-pkg-mappings $(prefix)/share/scratchbox2/scripts/sb2-check-pkg-mappings
 	$(Q)install -c -m 755 $(SRCDIR)/utils/sb2-exitreport $(prefix)/share/scratchbox2/scripts/sb2-exitreport
 	$(Q)install -c -m 755 $(SRCDIR)/utils/sb2-generate-locales $(prefix)/share/scratchbox2/scripts/sb2-generate-locales
@@ -176,20 +184,22 @@
 	$(Q)install -c -m 644 $(SRCDIR)/lua_scripts/pathmaps/tools/*.lua $(prefix)/share/scratchbox2/lua_scripts/pathmaps/tools/
 	$(Q)install -c -m 644 $(SRCDIR)/lua_scripts/pathmaps/simple/*.lua $(prefix)/share/scratchbox2/lua_scripts/pathmaps/simple/
 	$(Q)install -c -m 644 $(SRCDIR)/lua_scripts/pathmaps/devel/*.lua $(prefix)/share/scratchbox2/lua_scripts/pathmaps/devel/
+	$(Q)install -c -m 644 $(SRCDIR)/lua_scripts/pathmaps/accel/*.lua $(prefix)/share/scratchbox2/lua_scripts/pathmaps/accel/
 	$(Q)install -c -m 644 $(SRCDIR)/lua_scripts/pathmaps/nomap/*.lua $(prefix)/share/scratchbox2/lua_scripts/pathmaps/nomap/
 	$(Q)install -c -m 644 $(SRCDIR)/lua_scripts/pathmaps/install/*.lua $(prefix)/share/scratchbox2/lua_scripts/pathmaps/install/
 	$(Q)(set -e; cd $(prefix)/share/scratchbox2/lua_scripts/pathmaps; ln -sf devel maemo)
 
 	$(Q)install -c -m 644 $(SRCDIR)/modeconf/* $(prefix)/share/scratchbox2/modeconf/
 	$(Q)(set -e; cd $(prefix)/share/scratchbox2/modeconf; for f in *.devel; do \
-		b=$(basename $$f .devel); ln -sf $$f $$b.maemo; \
+		b=`basename $$f .devel`; ln -sf $$f $$b.maemo; \
+	done)
+	$(Q)(set -e; cd $(prefix)/share/scratchbox2/modeconf; for f in sb2rc.devel *-*.devel; do \
+		b=`basename $$f .devel`; ln -sf $$f $$b.accel; \
 	done)
 	$(Q)install -c -m 644 $(SRCDIR)/tests/* $(prefix)/share/scratchbox2/tests
 	$(Q)chmod a+x $(prefix)/share/scratchbox2/tests/run.sh
 
-	$(Q)install -c -m 644 $(SRCDIR)/docs/sb2.1 $(prefix)/share/man/man1/sb2.1
-	$(Q)install -c -m 644 $(SRCDIR)/docs/sb2-show.1 $(prefix)/share/man/man1/sb2-show.1
-	$(Q)install -c -m 644 $(SRCDIR)/docs/sb2-config.1 $(prefix)/share/man/man1/sb2-config.1
+	$(Q)install -c -m 644 $(SRCDIR)/docs/*.1 $(prefix)/share/man/man1
 	$(Q)rm -f $(prefix)/share/scratchbox2/host_usr
 	$(Q)ln -sf /usr $(prefix)/share/scratchbox2/host_usr
 	@# Wrappers:
@@ -202,6 +212,7 @@
 	$(Q)install -c -m 755 $(SRCDIR)/wrappers/host-gcc-tools-wrapper $(prefix)/share/scratchbox2/wrappers/host-gcc-tools-wrapper
 	$(Q)install -c -m 755 $(SRCDIR)/wrappers/gdb $(prefix)/share/scratchbox2/wrappers/gdb
 	$(Q)install -c -m 755 $(SRCDIR)/wrappers/ldd $(prefix)/share/scratchbox2/wrappers/ldd
+	$(Q)install -c -m 755 $(SRCDIR)/wrappers/pwd $(prefix)/share/scratchbox2/wrappers/pwd
 	$(Q)(set -e; cd $(prefix)/share/scratchbox2/wrappers; \
 	for f in $(host_prefixed_gcc_bins); do \
 		ln -sf host-gcc-tools-wrapper $$f; \
@@ -255,16 +266,3 @@
 
 clean-multilib:
 	$(P)CLEAN
-	-$(Q)$(MAKE) -C obj-32 --include-dir=.. -f ../Makefile SRCDIR=.. do-clean
-	-$(Q)$(MAKE) -C obj-64 --include-dir .. -f ../Makefile SRCDIR=.. do-clean
-
-ifeq ($(MACH),x86_64)
-clean: clean-multilib do-clean
-else
-clean: do-clean
-endif
-
-do-clean:
-	$(P)CLEAN
-	$(Q)$(ll_clean)
-

=== utils/Makefile ===
--- 
+++ 
@@ -6,10 +6,10 @@
 		-I$(SRCDIR)/include
 
 $(D)/sb2-show.o: preload/exported.h
-$(D)/sb2-show: preload/libsb2.$(SHLIBEXT) $(D)/sb2-show.o
+$(D)/sb2-show: $(D)/sb2-show.o
 	$(MKOUTPUTDIR)
 	$(P)LD
-	$(Q)$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^
+	$(Q)$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ -ldl
 
 
 $(D)/sb2-monitor: CFLAGS := $(CFLAGS) -Wall -W -Werror \
@@ -25,7 +25,7 @@
 		-I$(SRCDIR)/preload -Ipreload/ $(PROTOTYPEWARNINGS) \
 		-I$(SRCDIR)/include
 
-$(D)/sb2-interp-wrapper: preload/libsb2.$(SHLIBEXT) $(D)/sb2-interp-wrapper.o
+$(D)/sb2-interp-wrapper: $(D)/sb2-interp-wrapper.o preload/libsb2.$(SHLIBEXT)
 	$(MKOUTPUTDIR)
 	$(P)LD
 	$(Q)$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ -ldl

=== debian/changelog ===
scratchbox2 (2.2.2-2ubuntu1) oneiric; urgency=low

  * Changed the ordering of libs in the Makefile in utils folder to fix 
    FTBFS with ld --as-needed (LP: #803195).

 -- Nigel Babu <nigelbabu@ubuntu.com>  Tue, 21 Jun 2011 21:51:56 +0530

scratchbox2 (2.2.2-2) unstable; urgency=low

  * Added options -g and -G to sb2 (Lauri T. Aarnio)
  * "devel" and "accel" modes map /var/tmp to a session-specific
    tmp.dir (Lauri)
  * Fixed a bug in sb2-monitor (Lauri)
  * Minor fixes to "README" (Lauri)
  * Fixed a bug in sb2-config-debian (Karol Lewandowski)

 -- Riku Voipio <riku.voipio@iki.fi>  Tue, 29 Mar 2011 12:27:00 +0300

scratchbox2 (2.2.1-1) unstable; urgency=low

  * Six bugfixes; three from Rafal Krypa and three from Karol Lewandowski

 -- Riku Voipio <riku.voipio@iki.fi>  Fri, 18 Feb 2011 19:52:00 +0200

scratchbox2 (2.2.0-1) unstable; urgency=low

  * scratchbox 2.2 release!

 -- Riku Voipio <riku.voipio@iki.fi>  Fri, 31 Dec 2010 17:00:00 +0200

scratchbox2 (2.2rc3-1) unstable; urgency=low

  * "accel" mode: More rules for /usr/bin/perl, /usr/bin/python and
    related tools. These are now mapped to tools_root if the tool does
    not exist in target_root.

 -- Riku Voipio <riku.voipio@iki.fi>  Mon, 23 Dec 2010 12:56:00 +0200

scratchbox2 (2.2rc2-1) unstable; urgency=low

  * Manual pages were updated (by Lauri Aarnio)
  * new option -f for sb2 (by Rafal Krypa)
  * made $SSH_AUTH_SOCK available in "emulate" mode (Karol Lewandowski)
  * bugfixes: session setup (Michael Trimarchi),
    fix for amd64 targets (Karol Lewandowski)

 -- Riku Voipio <riku.voipio@iki.fi>  Mon, 20 Dec 2010 20:21:00 +0200

scratchbox2 (2.2rc1-1) unstable; urgency=low

  [ Lauri Aarnio ]
  * One new feature: sb2-logz can create process and exec diagrams
    (graphs); execute "sb2-logz -h" for details.
  * external_patches: patches for eglibc2.10 are available now
    (see external_patches/README)
  * Fix: Better protection of "errno" in certain situations
  * Fixes to CPU transparency method handling: Consistency checks,
    and options can now be passed to the transparency method (e.g. qemu)
  * Fix to toolchain (gcc) config: Fixed detection of 
    -Wno-poison-system-directories
  * other, minor bugfixes were included as well.

  [ Mike McCormack ]
  * Fix: Added wrappers for mkstemps64() and mkstemps() (this fixes mapping
    of tmp.files created by mkstemps(); at least some newer versions 
    of gcc use it)

 -- Riku Voipio <riku.voipio@iki.fi>  Mon, 13 Dec 2010 14:39:00 +0200

scratchbox2 (2.1-1) unstable; urgency=low

  * scratchbox 2.1 release!

 -- Riku Voipio <riku.voipio@iki.fi>  Fri, 18 Jun 2010 15:42:55 +0300

=== debian/control ===
Source: scratchbox2
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Riku Voipio <riku.voipio@iki.fi>
Section: utils
Priority: extra
Standards-Version: 3.8.0
Build-Depends: debhelper (>=5), autoconf, gcc-multilib [amd64] | gcc-4.1 (<< 4.1.2) [amd64],
 libc6-dev-i386 [amd64] | ia32-libs (>= 1.19) [amd64]
XS-Vcs-Git: git://anongit.freedesktop.org/git/sbox2
XS-Vcs-Browser: http://gitweb.freedesktop.org/?p=sbox2.git
Homepage: http://www.freedesktop.org/wiki/Software/sbox2

Package: scratchbox2
Architecture: i386 amd64 powerpc ia64
Depends: ${shlibs:Depends}, libsb2 (= ${binary:Version}), fakeroot, realpath
Recommends: qemu
Suggests: sbrsh
Description: Transparent cross compiling environment
 Scratchbox2 uses a LD_PRELOAD library to create a transparent cross compiling
 environment. Scratchbox2 automatically maps file system accesses to
 crosscompiler, target libraries and headers using a flexible lua path mapping
 engine. Together with CPU transparency, provided by qemu or sbrsh, scratchbox2
 enables fast crosscompiling without modifying build scripts.
 .

Package: libsb2
Architecture: i386 amd64 powerpc ia64
Depends: ${shlibs:Depends}
Replaces: scratchbox2 (<= 1.99.0.31-2)
Description: Scratchbox2 libraries
 This package contains sole Scratchbox2 libraries that can be
 used from inside target filesystem.

=== debian/rules ===
--- 
+++ 
@@ -52,7 +52,7 @@
 	dh_fixperms -a
 	# FIXME, do in postinst
 	dh_installdeb -a
-	dh_shlibdeps -Llibsb2 -l/usr/lib/libsb2 -- --ignore-missing-info
+	dh_shlibdeps -Llibsb2 -l/usr/lib/libsb2
 	dh_gencontrol -a
 	dh_md5sums -a
 	dh_builddeb -a

## scratchbox2 2.2.3-1debian1

=== Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 CC = gcc
 CXX = g++
 LD = ld
-PACKAGE_VERSION = 2.2.2
+PACKAGE_VERSION = 2.2.3
 
 ifeq ($(shell if [ -d $(SRCDIR)/.git ]; then echo y; fi),y)
 GIT_PV_COMMIT := $(shell git --git-dir=$(SRCDIR)/.git log -1 --pretty="format:%h" $(PACKAGE_VERSION) -- 2>/dev/null)

=== debian/changelog ===
scratchbox2 (2.2.3-1debian1) unstable; urgency=low

  * Add more recommends
  * Fix FTBFS wth ld --as-needed, closes: #632103
  * Fix bashism, closes: #547762

 -- Riku Voipio <riku.voipio@linaro.org>  Tue, 12 Jul 2011 10:41:38 +0300

scratchbox2 (2.2.3-1) unstable; urgency=low

  * A maintenance release: Backported 10 patches/fixes
    from the 2.3_development branch [4 from Rafal Krypa,
    2 from Karol Lewandowski and 4 from Lauri Aarnio]

 -- Riku Voipio <riku.voipio@iki.fi>  Thu, 12 May 2011 15:23:00 +0300

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: scratchbox2
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Riku Voipio <riku.voipio@iki.fi>
+Maintainer: Riku Voipio <riku.voipio@iki.fi>
 Section: utils
 Priority: extra
 Standards-Version: 3.8.0
@@ -13,7 +12,7 @@
 Package: scratchbox2
 Architecture: i386 amd64 powerpc ia64
 Depends: ${shlibs:Depends}, libsb2 (= ${binary:Version}), fakeroot, realpath
-Recommends: qemu
+Recommends: qemu-user, build-essential, wget
 Suggests: sbrsh
 Description: Transparent cross compiling environment
  Scratchbox2 uses a LD_PRELOAD library to create a transparent cross compiling
@@ -26,7 +25,7 @@
 Package: libsb2
 Architecture: i386 amd64 powerpc ia64
 Depends: ${shlibs:Depends}
-Replaces: scratchbox2 (<= 1.99.0.31-2)
+Replaces: scratchbox2 (<= 2.2.2-3)
 Description: Scratchbox2 libraries
  This package contains sole Scratchbox2 libraries that can be
  used from inside target filesystem.

## scratchbox2 2.2.4-1debian1

=== Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 CC = gcc
 CXX = g++
 LD = ld
-PACKAGE_VERSION = 2.2.3
+PACKAGE_VERSION = 2.2.4
 
 ifeq ($(shell if [ -d $(SRCDIR)/.git ]; then echo y; fi),y)
 GIT_PV_COMMIT := $(shell git --git-dir=$(SRCDIR)/.git log -1 --pretty="format:%h" $(PACKAGE_VERSION) -- 2>/dev/null)

=== luaif/Makefile ===
--- 
+++ 
@@ -19,6 +19,8 @@
 
 lua_objs := $(lua_sources_expanded:.c=.o)
 
+luaif/sb_log.o: include/scratchbox2_version.h
+
 luaif/liblua.a: $(lua_objs)
 luaif/liblua.a: override CFLAGS := -O2 -g -fPIC -Wall -W $(CFLAGS)
 luaif/liblua.a: override LDFLAGS := $(LDFLAGS)

=== preload/Makefile ===
--- 
+++ 
@@ -1,9 +1,15 @@
-objs := wrappers.o libsb2.o sb_exec.o sb_l10n.o glob.o glob64.o \
-	fdpathdb.o procfs.o mempcpy.o
+objs := wrappers.o privatewrappers.o \
+	libsb2.o sb_exec.o sb_l10n.o glob.o glob64.o \
+	network.o \
+	execgates.o \
+	miscgates.o \
+	tmpnamegates.o \
+	fdpathdb.o procfs.o mempcpy.o \
+	system.o
 
 ifeq ($(shell uname -s),Linux)
 LIBSB2_LDFLAGS = -Wl,-soname=$(LIBSB2_SONAME) \
-		-Wl,--retain-symbols-file=preload/ldexportlist
+		-Wl,--version-script=preload/export.map
 
 # DO NOT add any libraries that depend on libpthread to
 # LIBSB2_LIBS or LIBS!! see the comments in luaif.c.
@@ -33,8 +39,17 @@
 	$(Q)$(SRCDIR)/preload/gen-interface.pl \
 		-W preload/wrappers.c \
 		-E preload/exported.h \
-		-L preload/ldexportlist \
+		-M preload/export.map \
 		<$(SRCDIR)/preload/interface.master
+
+$(D)/privatewrappers.h: preload/privatewrappers.c
+$(D)/privatewrappers.c: preload/interface.private preload/gen-interface.pl
+	$(MKOUTPUTDIR)
+	$(P)PERL
+	$(Q)$(SRCDIR)/preload/gen-interface.pl \
+		-W preload/privatewrappers.c \
+		-E preload/privatewrappers.h \
+		<$(SRCDIR)/preload/interface.private
 
 generated := preload/wrappers.c preload/exported.h preload/ldexportlist
 .PRECIOUS: $(generated)

=== luaif/lua-5.1.4/Makefile ===
# makefile for installing Lua
# see INSTALL for installation instructions
# see src/Makefile and src/luaconf.h for further customization

# == CHANGE THE SETTINGS BELOW TO SUIT YOUR ENVIRONMENT =======================

# Your platform. See PLATS for possible values.
PLAT= none

# Where to install. The installation starts in the src and doc directories,
# so take care if INSTALL_TOP is not an absolute path.
INSTALL_TOP= /usr/local
INSTALL_BIN= $(INSTALL_TOP)/bin
INSTALL_INC= $(INSTALL_TOP)/include
INSTALL_LIB= $(INSTALL_TOP)/lib
INSTALL_MAN= $(INSTALL_TOP)/man/man1
#
# You probably want to make INSTALL_LMOD and INSTALL_CMOD consistent with
# LUA_ROOT, LUA_LDIR, and LUA_CDIR in luaconf.h (and also with etc/lua.pc).
INSTALL_LMOD= $(INSTALL_TOP)/share/lua/$V
INSTALL_CMOD= $(INSTALL_TOP)/lib/lua/$V

# How to install. If your install program does not support "-p", then you
# may have to run ranlib on the installed liblua.a (do "make ranlib").
INSTALL= install -p
INSTALL_EXEC= $(INSTALL) -m 0755
INSTALL_DATA= $(INSTALL) -m 0644
#
# If you don't have install you can use cp instead.
# INSTALL= cp -p
# INSTALL_EXEC= $(INSTALL)
# INSTALL_DATA= $(INSTALL)

# Utilities.
MKDIR= mkdir -p
RANLIB= ranlib

# == END OF USER SETTINGS. NO NEED TO CHANGE ANYTHING BELOW THIS LINE =========

# Convenience platforms targets.
PLATS= aix ansi bsd freebsd generic linux macosx mingw posix solaris

# What to install.
TO_BIN= lua luac
TO_INC= lua.h luaconf.h lualib.h lauxlib.h ../etc/lua.hpp
TO_LIB= liblua.a
TO_MAN= lua.1 luac.1

# Lua version and release.
V= 5.1
R= 5.1.4

all:	$(PLAT)

$(PLATS) clean:
	cd src && $(MAKE) $@

test:	dummy
	src/lua test/hello.lua

install: dummy
	cd src && $(MKDIR) $(INSTALL_BIN) $(INSTALL_INC) $(INSTALL_LIB) $(INSTALL_MAN) $(INSTALL_LMOD) $(INSTALL_CMOD)
	cd src && $(INSTALL_EXEC) $(TO_BIN) $(INSTALL_BIN)
	cd src && $(INSTALL_DATA) $(TO_INC) $(INSTALL_INC)
	cd src && $(INSTALL_DATA) $(TO_LIB) $(INSTALL_LIB)
	cd doc && $(INSTALL_DATA) $(TO_MAN) $(INSTALL_MAN)

ranlib:
	cd src && cd $(INSTALL_LIB) && $(RANLIB) $(TO_LIB)

local:
	$(MAKE) install INSTALL_TOP=..

none:
	@echo "Please do"
	@echo "   make PLATFORM"
	@echo "where PLATFORM is one of these:"
	@echo "   $(PLATS)"
	@echo "See INSTALL for complete instructions."

# make may get confused with test/ and INSTALL in a case-insensitive OS
dummy:

# echo config parameters
echo:
	@echo ""
	@echo "These are the parameters currently set in src/Makefile to build Lua $R:"
	@echo ""
	@cd src && $(MAKE) -s echo
	@echo ""
	@echo "These are the parameters currently set in Makefile to install Lua $R:"
	@echo ""
	@echo "PLAT = $(PLAT)"
	@echo "INSTALL_TOP = $(INSTALL_TOP)"
	@echo "INSTALL_BIN = $(INSTALL_BIN)"
	@echo "INSTALL_INC = $(INSTALL_INC)"
	@echo "INSTALL_LIB = $(INSTALL_LIB)"
	@echo "INSTALL_MAN = $(INSTALL_MAN)"
	@echo "INSTALL_LMOD = $(INSTALL_LMOD)"
	@echo "INSTALL_CMOD = $(INSTALL_CMOD)"
	@echo "INSTALL_EXEC = $(INSTALL_EXEC)"
	@echo "INSTALL_DATA = $(INSTALL_DATA)"
	@echo ""
	@echo "See also src/luaconf.h ."
	@echo ""

# echo private config parameters
pecho:
	@echo "V = $(V)"
	@echo "R = $(R)"
	@echo "TO_BIN = $(TO_BIN)"
	@echo "TO_INC = $(TO_INC)"
	@echo "TO_LIB = $(TO_LIB)"
	@echo "TO_MAN = $(TO_MAN)"

# echo config parameters as Lua code
# uncomment the last sed expression if you want nil instead of empty strings
lecho:
	@echo "-- installation parameters for Lua $R"
	@echo "VERSION = '$V'"
	@echo "RELEASE = '$R'"
	@$(MAKE) echo | grep = | sed -e 's/= /= "/' -e 's/$$/"/' #-e 's/""/nil/'
	@echo "-- EOF"

# list targets that do not create files (but not all makes understand .PHONY)
.PHONY: all $(PLATS) clean test install local none dummy echo pecho lecho

# (end of Makefile)

=== debian/changelog ===
scratchbox2 (2.2.4-1debian1) unstable; urgency=low

  * Update debian packaging for new upstream release
  * New co-maintainer

 -- Jussi Hakala <jussi.hakala@iki.fi>  Tue, 24 Apr 2012 14:20:51 +0300

scratchbox2 (2.2.4-1) unstable; urgency=low

  [ Rafal Krypa and Mike McCormack ]
  * Add support for "cpu transparency" for native architecture,
    to be able to safely run statically linked native binaries.
  * fixes and enhancements, including a patch for ld.so:
    fix --rpath-prefix patches to correctly support "$ORIGIN" in rpath.
  [ Riku Voipio ]
  * Updated debian/control, fiex wrappers/gdb
  [ Nigel Babu ]
  * Fixes for building for Ubuntu
  [ Lauri Aarnio ]
  * Added wrappers for following functions: execvpe(), mkostemp(),
    mkostemp64(), mkostemps(), mkostemps64(), accept4(), dup3()
    (these were merged from the 2.3_development branch)
  * Minor fixes to sb2(1), the manual page

 -- Lauri T. Aarnio <lauri.aarnio@iki.fi>  Sun, 01 Apr 2012 17:49:00 +0300

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: scratchbox2
 Maintainer: Riku Voipio <riku.voipio@iki.fi>
+Uploaders: Jussi Hakala <jussi.hakala@iki.fi>
 Section: utils
 Priority: extra
 Standards-Version: 3.8.0
 Build-Depends: debhelper (>=5), autoconf, gcc-multilib [amd64] | gcc-4.1 (<< 4.1.2) [amd64],
  libc6-dev-i386 [amd64] | ia32-libs (>= 1.19) [amd64]
-XS-Vcs-Git: git://anongit.freedesktop.org/git/sbox2
-XS-Vcs-Browser: http://gitweb.freedesktop.org/?p=sbox2.git
-Homepage: http://www.freedesktop.org/wiki/Software/sbox2
+XS-Vcs-Git: git://gitorious.org/scratchbox2/scratchbox2.git
+XS-Vcs-Browser: http://maemo.gitorious.org/scratchbox2/scratchbox2/trees/master
+Homepage: http://maemo.gitorious.org/scratchbox2
 
 Package: scratchbox2
 Architecture: i386 amd64 powerpc ia64

=== debian/rules ===
--- 
+++ 
@@ -39,8 +39,7 @@
 	# make lintian happy
 	rm -f debian/scratchbox2/usr/share/scratchbox2/host_usr
 	ln -sf ../.. debian/scratchbox2/usr/share/scratchbox2/host_usr
-	mv debian/scratchbox2/usr/lib/libsb2/* debian/libsb2/usr/lib/libsb2
-	rm -rf debian/scratchbox2/usr/lib/
+	mv debian/scratchbox2/usr/lib* debian/libsb2/usr/
 
 binary-arch: install
 	dh_testdir -a
